<?php
function Potentials_CreaProductosOfrecidos($entity) {
	global $adb, $current_user;

	//Seteamos la zona horaria
	date_default_timezone_set('UTC');
    date_default_timezone_set('America/Lima');

	$data = $entity->data;
	$id = explode("x", $data['id'])[1];
	$cuenta = explode("x", $data['related_to'])[1];
	$fechacreacion = date('Y-m-d');
	$idasignado = explode("x", $data['assigned_user_id'])[1];

	$tipoOportunidad = $data['opportunity_type'];
	// var_dump($data);
	// die();

	//Obtenemos los datos del asginado ha 
	$asignadoModel = Vtiger_Record_Model::getInstanceById($idasignado,'Users')->getData();

	//Creamos un registro con los productos ofrecidos 
	$model = Vtiger_Record_Model::getCleanInstance("Pofr");
	$model->set('mode', "");
	$model->set('pofr_tks_cuenta',$cuenta);
	$model->set('pofr_tks_oportunidad',$id);
	$model->set('pofr_tks_tipoproducto',$tipoOportunidad);
	$model->set('pofr_tks_fechaofrecimiento',$fechacreacion);
	$model->set('pofr_tks_asignadoa',$asignadoModel['first_name'].' '.$asignadoModel['last_name']);
	$model->set('assigned_user_id',$idasignado);

	try {
		$model->save();
		//return $model->getId();
	} catch (Exception $e) {
		//print_r($e);
	}


	
	//var_dump($tipoOoprtunidad);die();

	

	
	
}